/*:
 # Using JSON with Custom Types
 
 When you control the structure of your data types in Swift
 as well as the structure of the JSON you use for encoding and decoding,
 use the default format generated for you by the `JSONEncoder` and `JSONDecoder` classes.
 
 However, when the data your code models follows a specification that shouldn't be changed,
 you should still write your data types according to Swift best practices and conventions.
 This sample shows how to use a type's conformance to the `Codable` protocol
 as the translation layer between the JSON representation of data
 and the corresponding representation in Swift.
 
 - [Read Data from Arrays](Read%20Data%20from%20Arrays)
 - [Change Key Names](Change%20Key%20Names)
 - [Access Nested Data](Access%20Nested%20Data)
 - [Merging Data from Different Depths](Merge%20Data%20from%20Different%20Depths)
 - [LICENSE](LICENSE)
 
 ****
 [Next](@next)
 */
